package vip.xumy.picture.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

import vip.xumy.admin.verify.pojo.User;

/**
 * @author:mengyxu
 * @date:2020年10月28日
 */

public interface MyUserMapper {

	@Select({ "SELECT * FROM user" })
	List<User> list();

	@Delete({ "DELETE FROM user WHERE user_id = #{id}" })
	void delete(String id);

	@Insert({ "INSERT INTO user VALUES (#{userId}, #{name}, #{password}, #{desc}, '0')" })
	int save(User user);

}
