import Vue from 'vue'
import './static/plugins/axios'
import App from './views/main/App.vue'
import './static/plugins/element'
import router from './router'
import store from './store'
import VueClipboard from 'vue-clipboard2'

Vue.config.productionTip = false
Vue.use(VueClipboard)

const vue = new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
export default vue
